{
  fetchgit,
  rustPlatform,
  protobuf,
  runCommand,
}:
let
  tvix-hash = "sha256-KNl+Lv0aMqSFVFt6p/GdmNDddzccW4wKfZB7W6Gv5F0=";
  tvix-src = fetchgit {
    name = "tvix";
    url = "https://git.dgnum.eu/mdebray/tvl-depot";
    rev = "920b7118d5b0917e426367107f7b7b66089a8d7b";
    hash = tvix-hash;
  };
  protos = runCommand "tvix-protos" { } ''
    mkdir $out
    cd ${tvix-src}/tvix #remove tvix maybe
    find . -name '*.proto' -exec install -D {} $out/{} \;
  '';
in

rustPlatform.buildRustPackage rec {
  pname = "multitenant-binary-cache";
  version = "0.1.0";

  src = fetchgit {
    url = "https://git.lix.systems/sinavir/multitenant-tvix-binary-cache.git";
    rev = "0d7d4cf66242facecba485b1085e285e8d46c038";
    hash = "sha256-IU3OS3ePJeBNiY8HbhoYW5b03Nq8BJ4AWe+bGv4dAuw=";
  };

  PROTO_ROOT = protos;

  nativeBuildInputs = [ protobuf ];

  cargoLock = {
    lockFile = ./Cargo.lock;
    outputHashes = {
      "nar-bridge-0.1.0" = tvix-hash;
    };
  };
  cargoHash = "";

  meta = { };
}
