{
  stdenv,
  fetchFromGitHub,
  substituteAll,
  python3,
  pykanidm,
}:

let
  pythonPath = python3.pkgs.makePythonPath [ pykanidm ];
in

stdenv.mkDerivation rec {
  pname = "rlm_python";
  version = "1.1.0-rc.16";

  src = fetchFromGitHub {
    owner = "kanidm";
    repo = "kanidm";
    rev = "v${version}";
    hash = "sha256-NH9V5KKI9LAtJ2/WuWtUJUzkjVMfO7Q5NQkK7Ys2olU=";
  };

  sourceRoot = "source/rlm_python";

  patches = [
    (substituteAll {
      src = ./01-python_path.patch;
      inherit pythonPath;
    })
  ];

  installPhase = ''
    mkdir -p $out/etc/raddb/
    cp -R mods-available sites-available $out/etc/raddb/
  '';

  phases = [
    "unpackPhase"
    "patchPhase"
    "installPhase"
  ];

  passthru = {
    inherit pythonPath;
  };
}
